"use strict";
/**
 * SPDX-FileCopyrightText: © 2017 Liferay, Inc. <https://liferay.com>
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const js_toolkit_core_1 = require("@liferay/js-toolkit-core");
const cpr_1 = __importDefault(require("cpr"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const config_1 = require("../config");
const { error, print, success } = js_toolkit_core_1.format;
/**
 *
 */
function default_1() {
    return new Promise((resolve) => {
        const { outputDir } = config_1.project;
        fs_extra_1.default.mkdirpSync(outputDir.asNative);
        cpr_1.default(config_1.project.sourceDir.asNative, outputDir.asNative, { confirm: true, overwrite: true }, (err) => {
            if (err) {
                print(error `${err}`);
                process.exit(1);
            }
            else {
                print(success `JavaScript files copied`);
            }
            resolve();
        });
    });
}
exports.default = default_1;
